Subject: [icnrg] Need slides for Wednesday ICNRG presentations

From: "David Oran" <[email-masked]>
Date: Tue, 18 Jul 2017 17:26:33 +0200

The chairs have not yet received materials for most of the presentations.

Thanks!